POST /api/v3/accrual

Run the accrual processor engine using the supplied settings to generate accrual bills

ProcessAccrualsV3 Permissions: AccrualSettings (Run)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Query Parameters

Name Description Type Required
filter Accrual data selection filters string (string) Optional

Request Body

AccrualProcessorRequest
Property Description Type
accountPeriodCalculationMethod Account period calculation method. Valid values are “blank”, “billing period” and “manual”. One of ‘blank’, ‘billing period’, ‘manual’ Case sensitive Required string
accrualPeriodEndDate End date for accrual bills generated Required string (date-time)
accrualPeriodMinimumStartDate Earliest bill end date to begin accruing from (end dates become begin dates for accrued bills) Required string (date-time)
aucPercentVarianceAllowed Percent of cost variance allowed when using average unit cost safety net Required when AucSafetyNet is set to True, case sensitive. number (float)
aucSafetyNet

Use a safety net for accrued cost calculation?

  • if we have usage and we are using an average unit cost safety net and the most recent unit cost does not vary more than the specified percentage from the historical average unit cost, accrued cost = accrued use * most recent unit cost
  • if we have usage and we are not using an average unit cost safety net or the most recent unit cost does vary more than the specified percentage from the historical average unit cost, accrued cost = accrued use * average historical unit cost
  • if we don’t have usage, accrued cost = historical average cost per day * number of days in accrual period Required
boolean
batchCode The batch to create for accrual bills Required Must be between 0 and 255 characters string
billingPeriodCalculationMethod Billing period calculation method. Valid values are “bill midpoint” and “manual”. One of ‘bill midpoint’, ‘manual’ Case sensitive Required string
manualAccountPeriod Fixed account period for accrual bills generated when account period calculation method is manual. Required when AccountPeriodCalculationMethod is set to manual, case sensitive. Must be between 190001 and 209913 integer (int32)
manualBillingPeriod Fixed billing period for accrual bills generated when billing period calculation method is manual. Required when BillingPeriodCalculationMethod is set to manual, case sensitive. Must be between 190001 and 209912 integer (int32)
percentCostAdjustment Optional percentage for cost adjustment. It can be positive or negative. integer (int32)
testMode Generate accrual bills in test mode? Test mode bills are created as voided bills. Required boolean
Example Request Body application/json
{  "accountPeriodCalculationMethod": "string",  "accrualPeriodEndDate": "2026-03-30",  "accrualPeriodMinimumStartDate": "2026-03-30",  "aucPercentVarianceAllowed": 1.0,  "aucSafetyNet": false,  "batchCode": "string",  "billingPeriodCalculationMethod": "string",  "manualAccountPeriod": 1,  "manualBillingPeriod": 1,  "percentCostAdjustment": 1,  "testMode": false
}

Filters

Filter Description Type Operators
approved Approval Flag (0/1 = N/Y) Boolean equals
commodityCode Commodity Code String equals
commodityId Integer equals
commodityInfo Commodity Name String equals
createdDate Bill Creation Date DateTime equals
exported Export Flag (0/1 = N/Y) Boolean equals
exportedDate Bill Export Date DateTime equals
exportHold Boolean equals
topmostCostCenterCode Topmost Cost Center Code String equals
topmostCostCenterId Integer equals
topmostCostCenterInfo Topmost Cost Center Name String equals
topmostPlaceCode Topmost Place Code String equals
topmostPlaceInfo Topmost Place Name String equals

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

GuidResponse
Property Description Type
taskGUId A guid that identifies the current task string (uuid)
Example Response application/json
{  "taskGUId": "string"
}